BEGIN ~TCWGCIV2~ 2

IF WEIGHT #4 ~RandomNum(5,1)~ THEN BEGIN 0
  SAY ~If you want some service, I'm afraid you're going to have to wait.  It's not like we have nothing to do, here.~
  IF ~~ THEN EXIT
END

IF WEIGHT #5 ~RandomNum(5,2)~ THEN BEGIN 1
  SAY ~Do you have any idea how long it takes to find a form in the archives?~
  IF ~~ THEN EXIT
END

IF WEIGHT #6 ~RandomNum(5,3)~ THEN BEGIN 2
  SAY ~All I get all day long is complaints.  Complaints upon complaints and more complaints.  How about a pat on the back for once?~
  IF ~~ THEN EXIT
END

IF WEIGHT #7 ~RandomNum(5,4)~ THEN BEGIN 3
  SAY ~(grumble)  Last season the Council sent me to survey farmland around the city for two weeks.  Two weeks of cow manure and being chased by hobgoblins!~
  IF ~~ THEN EXIT
END

IF WEIGHT #8 ~RandomNum(5,5)~ THEN BEGIN 4
  SAY ~You think co-ordinating the taxes from all over the Dragon Coast is easy?  Try talking to anyone in the lands that the Red Wizards control or all the free cities.  Gah!~
  IF ~~ THEN EXIT
END

IF WEIGHT #0 ~Detect("TCCHAAR") !StateCheck("TCCHAAR",CD_STATE_NOTVALID) RandomNum(2,1) Global("civil01Chaarna","LOCALS",0)~ THEN BEGIN 5
  SAY ~You!  Dark-haired girl!  Run and get me the portfolio on the Murann farming districts!  Run, run!~
  IF ~~ THEN DO ~SetGlobal("civil01Chaarna","LOCALS",1)~ EXTERN ~TCCHAARJ~ Chaarna2CivilServant
END

IF WEIGHT #1 ~Detect("TCALEIGHA") !StateCheck("TCALEIGHA",CD_STATE_NOTVALID) RandomNum(2,1) Global("civil01Aleigha","LOCALS",0)~ THEN BEGIN 6
  SAY ~What now?  You aren't another peasant coming to complain about something I have no jurisdiction over, are you?  Why can't you people solve your own problems?~
  IF ~~ THEN DO ~SetGlobal("civil01Aleigha","LOCALS",1)~ EXTERN ~TCALEIGJ~ Aleigha2CivilServant
END

IF WEIGHT #2 ~Detect("TCBERGON") !StateCheck("TCBERGON",CD_STATE_NOTVALID) RandomNum(2,1) Global("civil01Bergon","LOCALS",0)~ THEN BEGIN 7
  SAY ~Another mageling?  Don't any of you know what a real job is?~
  IF ~~ THEN DO ~SetGlobal("civil01Bergon","LOCALS",1)~ EXTERN ~TCBERGOJ~ Bergon2CivilServant
END

IF WEIGHT #3 ~Detect("TCDIRBERT") !StateCheck("TCDIRBERT",CD_STATE_NOTVALID) RandomNum(2,2) Global("civil01Dirbert","LOCALS",0)~ THEN BEGIN 8
  SAY ~You there, farm boy.  Stop slacking off and get the trash cans emptied immediately.~
  IF ~~ THEN DO ~SetGlobal("civil01Dirbert","LOCALS",1)~ EXTERN ~TCDIRBEJ~ Dirbert2CivilServant
END


APPEND ~TCALEIGJ~

IF ~~ THEN BEGIN Aleigha2CivilServant
  SAY ~How dare you?  It is your job to help the people of this city, you fool.~
  IF ~~ THEN EXIT
END
END

APPEND ~TCBERGOJ~

IF ~~ THEN BEGIN Bergon2CivilServant
  SAY ~Mageling?!  Obviously you think a real job entitles you to insult people, sir.~
  IF ~~ THEN EXIT
END
END

APPEND ~TCCHAARJ~

IF ~~ THEN BEGIN Chaarna2CivilServant
  SAY ~Say 'run' one more time, you half-witted blind excuse for vermin, and I will have both your legs end at charred little stumps!~
  IF ~~ THEN EXIT
END
END

APPEND ~TCDIRBEJ~

IF ~~ THEN BEGIN Dirbert2CivilServant
  SAY ~<CHARNAME>, do I have label on me that says "farmer" because I swear I'm getting tired of everyone thinking that's all I am.~
  IF ~~ THEN EXIT
END
END
